# Source code

    001/*
    002 * Licensed to the Apache Software Foundation (ASF) under one
    003 * or more contributor license agreements.  See the NOTICE file
    004 * distributed with this work for additional information
    005 * regarding copyright ownership.  The ASF licenses this file
    006 * to you under the Apache License, Version 2.0 (the
    007 * "License"); you may not use this file except in compliance
    008 * with the License.  You may obtain a copy of the License at
    009 *
    010 * http://www.apache.org/licenses/LICENSE-2.0
    011 *
    012 * Unless required by applicable law or agreed to in writing,
    013 * software distributed under the License is distributed on an
    014 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015 * KIND, either express or implied.  See the License for the
    016 * specific language governing permissions and limitations
    017 * under the License.
    018 */
    019
    020package org.apache.commons.compress.utils;
    021
    022import java.util.ArrayList;
    023import java.util.Iterator;
    024
    025/**
    026 * List utilities
    027 *
    028 * @since 1.13
    029 */
    030public class Lists {
    031
    032    /**
    033     * Creates a new {@link ArrayList}.
    034     *
    035     * @return a new {@link ArrayList}
    036     */
    037    public static <E> ArrayList<E> newArrayList() {
    038        return new ArrayList<>();
    039    }
    040
    041    /**
    042     * Creates a new {@link ArrayList} filled with the contents of the given
    043     * {@code iterator}.
    044     *
    045     * @param iterator
    046     *            the source iterator
    047     * @return a new {@link ArrayList}
    048     */
    049    public static <E> ArrayList<E> newArrayList(final Iterator<? extends E> iterator) {
    050        final ArrayList<E> list = newArrayList();
    051        Iterators.addAll(list, iterator);
    052        return list;
    053    }
    054
    055    private Lists() {
    056        // do not instantiate
    057    }
    058
    059}